Name:            motion
Version:         4.1
Release:         %mkrel 1
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video
URL:             https://github.com/Motion-Project/motion
Source0:         https://github.com/Motion-Project/motion/archive/motion-release-%{version}.tar.xz
BuildRequires: glibc-headers-devel
BuildRequires: libffmpeg-devel
BuildRequires: libjpeg-devel
BuildRequires: libmariadb-devel
BuildRequires: libsqlite3-devel
BuildRequires: libwebp-devel

%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q -n %{name}-release-%{version}


%build
 autoreconf -fi
%configure2_5x --without-optimizecpu --with-webp
%make


%install
rm -rf %buildroot
%make_install

mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/motion.conf
chmod 644 %{buildroot}%{_sysconfdir}/%{name}/motion.conf

rm -rf %{buildroot}/%{_datadir}/doc/


%files
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%config(noreplace) %{_sysconfdir}/%{name}/camera*-dist.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_datadir}/%{name}

%changelog
* Fri Apr 06 2018 adrianomorselli <adrianomorselli> 4.1-1uplos2018
- update
